import { D as DvnAppViewConfig } from './view-config-3ab16b28.js';
import { P as PairConfig } from './pair-config-6cadad1f.js';

class AtamaMemberPairDetailViewConfig extends DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(AtamaMemberPairDetailViewConfig.prototype), json);
    model.table = PairConfig.decode(model.table);
    return model;
  }
}

export { AtamaMemberPairDetailViewConfig as A };
